Bug 972347 - [abrt] LuxRender-1.0-6.fc18: __pthread_mutex_lock: Process /usr/bin/luxrender was killed by signal 11 (SIGSEGV)
[abrt] LuxRender-1.0-6.fc18: __pthread_mutex_lock: Process /usr/bin/luxrender...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: LuxRender (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Nicolas Chauvet (kwizart)
Fedora Extras Quality Assurance
abrt_hash:f4f9d26936b2afa55641f2eac2e...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-08 14:34 EDT by rohloff.md
Modified: 2014-02-05 16:43 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 16:43:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (64.34 KB, text/plain)
2013-06-08 14:34 EDT, rohloff.md
no flags Details
File: cgroup (129 bytes, text/plain)
2013-06-08 14:34 EDT, rohloff.md
no flags Details
File: core_backtrace (1.56 KB, text/plain)
2013-06-08 14:34 EDT, rohloff.md
no flags Details
File: dso_list (15.75 KB, text/plain)
2013-06-08 14:34 EDT, rohloff.md
no flags Details
File: environ (1.54 KB, text/plain)
2013-06-08 14:34 EDT, rohloff.md
no flags Details
File: limits (1.29 KB, text/plain)
2013-06-08 14:34 EDT, rohloff.md
no flags Details
File: maps (74.31 KB, text/plain)
2013-06-08 14:34 EDT, rohloff.md
no flags Details
File: open_fds (865 bytes, text/plain)
2013-06-08 14:34 EDT, rohloff.md
no flags Details
File: proc_pid_status (941 bytes, text/plain)
2013-06-08 14:34 EDT, rohloff.md
no flags Details
File: xsession_errors (9.55 KB, text/plain)
2013-06-08 14:34 EDT, rohloff.md
no flags Details

  None (edit)
Description rohloff.md 2013-06-08 14:34:01 EDT
Description of problem:
Tried to render a blender scene with "sun"-type light source.

Version-Release number of selected component:
LuxRender-1.0-6.fc18

Additional info:
reporter:       libreport-2.1.4
backtrace_rating: 4
cmdline:        /usr/bin/luxrender --logconsole /tmp/untitled.Scene.00001.lxs
crash_function: __pthread_mutex_lock
executable:     /usr/bin/luxrender
kernel:         3.9.4-200.fc18.x86_64
runlevel:       N 5
uid:            1000
var_log_messages: Jun  8 19:10:32 satellion abrt[10826]: Saved core dump of pid 10816 (/usr/bin/luxrender) to /var/tmp/abrt/ccpp-2013-06-08-19:10:31-10816 (45080576 bytes)

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 __pthread_mutex_lock at pthread_mutex_lock.c:50
 #1 boost::mutex::lock at /usr/include/boost/thread/pthread/mutex.hpp:64
 #2 lock at /usr/include/boost/thread/locks.hpp:508
 #3 unique_lock at /usr/include/boost/thread/locks.hpp:301
 #4 lux::ScopedPoolLock::ScopedPoolLock at /usr/src/debug/lux-a041e87b9732/core/contribution.cpp:67
 #5 lux::FlexImageFilm::WriteImage at /usr/src/debug/lux-a041e87b9732/film/fleximage.cpp:1047
 #6 lux::Context::WorldEnd at /usr/src/debug/lux-a041e87b9732/core/context.cpp:1008
 #7 yyparse at /usr/src/debug/lux-a041e87b9732/core/luxparse.y:549
 #8 parseFile at /usr/src/debug/lux-a041e87b9732/core/api.cpp:537
 #9 luxParse at /usr/src/debug/lux-a041e87b9732/core/api.cpp:553
Comment 1 rohloff.md 2013-06-08 14:34:09 EDT
Created attachment 758601 [details]
File: backtrace
Comment 2 rohloff.md 2013-06-08 14:34:13 EDT
Created attachment 758602 [details]
File: cgroup
Comment 3 rohloff.md 2013-06-08 14:34:16 EDT
Created attachment 758603 [details]
File: core_backtrace
Comment 4 rohloff.md 2013-06-08 14:34:20 EDT
Created attachment 758604 [details]
File: dso_list
Comment 5 rohloff.md 2013-06-08 14:34:23 EDT
Created attachment 758605 [details]
File: environ
Comment 6 rohloff.md 2013-06-08 14:34:26 EDT
Created attachment 758606 [details]
File: limits
Comment 7 rohloff.md 2013-06-08 14:34:34 EDT
Created attachment 758607 [details]
File: maps
Comment 8 rohloff.md 2013-06-08 14:34:37 EDT
Created attachment 758608 [details]
File: open_fds
Comment 9 rohloff.md 2013-06-08 14:34:40 EDT
Created attachment 758609 [details]
File: proc_pid_status
Comment 10 rohloff.md 2013-06-08 14:34:44 EDT
Created attachment 758610 [details]
File: xsession_errors
Comment 11 Fedora End Of Life 2013-12-21 08:55:23 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 Fedora End Of Life 2014-02-05 16:43:57 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.